; Configuration file for Duet
; executed by the firmware on start-up
; WorkBee Firmware Version 1.0.5

; General preferences
G90                               ; Set absolute coordinates
M453                              ; Put the machine into CNC Mode

; Network
M550 PWorkBee CNC Machine         ; Set machine name
M552 S1                           ; Enable network
M586 P0 S1                        ; Enable HTTP
M586 P1 S0                        ; Disable FTP
M586 P2 S0                        ; Disable Telnet

; Drives
M569 P0 S0                        ; Drive 0 goes forwards
M569 P1 S1                        ; Drive 1 goes forwards
M569 P2 S0			              ; Drive 2 goes forwards
M569 P3 S0                        ; Drive 3 goes forwards                        
M584 X0 Y1:3 Z2                   ; Apply custom drive mapping
M92 X53.334 Y53.334 Z400          ; Set steps per mm
M350 X16 Y16 Z16 I1               ; Configure microstepping with interpolation
M566 X500 Y500 Z500               ; Set maximum instantaneous speed changes (mm/min)
M203 X10000 Y10000 Z2500          ; Set maximum speeds (mm/min)
M201 X150 Y150 Z150               ; Set accelerations (mm/s^2)
M906 X2400 Y2400 Z2400 I100       ; Set motor currents (mA)

; Axis Limits
M208 X0 Y0 Z0 S1                  ; Set axis minima
M208 X550 Y520 Z94 S0             ; Set axis maxima

; Endstops
M574 X2 Y2 Z2 S0                  ; Set active low endstops

; Tools
;M563 P1 S"XYZ-Probe"		      ; Define XYZ Touch Probe Tool

; Custom settings
M564 S1 H1				          ; Disable jog commands when not homed
M140 H-1						  ; Disable heated bed
M911 S21.0 R23 P"G91 G1 Z3 F1000" ; Configure power loss resume
M501    						  ; Load Stored Parameters 